Verified Commit 2384f85b authored by PureTryOut's avatar PureTryOut Committed by Oliver Smith

phosh/phosh: update to latest commit (!505)

This should make the wallpaper render correctly.

[ci:skip-build]: already built successfully in CI
parent 35558056
Pipeline #71796000 passed with stages
in 1 minute and 27 seconds
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=phosh
pkgver=0.0.3
pkgver=0.0.3_git20190716
pkgrel=0
_commit="9a0ab4df8b1a812d52e0d270adf7808c38449a90"
_gvc_commit="ae1a34aafce7026b8c0f65a43c9192d756fe1057"
pkgdesc="A shell PoC for the Librem5"
arch="x86 x86_64 aarch64"
......@@ -12,13 +13,12 @@ depends="gtk+3.0 wayland-protocols phoc gnome-session bash dbus-x11 gnome-settin
makedepends="gtk+3.0-dev meson ninja gnome-desktop-dev libhandy-dev gcr-dev upower-dev linux-pam-dev git cmake pulseaudio-dev networkmanager-dev polkit-elogind-dev"
subpackages="$pkgname-lang"
source="
$pkgname-$pkgver.tar.gz::https://source.puri.sm/Librem5/$pkgname/-/archive/v$pkgver/$pkgname-v$pkgver.tar.gz
$pkgname-$_commit.tar.gz::https://source.puri.sm/Librem5/$pkgname/-/archive/$_commit.tar.gz
libgvc-$_gvc_commit.tar.gz::https://gitlab.gnome.org/GNOME/libgnome-volume-control/-/archive/$_gvc_commit/libgnome-volume-control-$_gvc_commit.tar.gz
stop-hardcoding-resolution.patch
phosh.desktop
polkit-0.114.patch"
phosh.desktop"
options="!check" # Needs a running Wayland compositor
builddir="$srcdir/$pkgname-v$pkgver"
builddir="$srcdir/$pkgname-$_commit"
prepare() {
default_prepare
......@@ -43,8 +43,7 @@ package() {
"$pkgdir"/usr/share/wayland-sessions/phosh.desktop
}
sha512sums="3eb9a98c3d3657c5a18e519a47437b4fb5d3f72656d89b7781fd61fbcb694630756d4dfb853b86fab8252771b4e38efd1566eda80918d10a88e52a9c67f8b908 phosh-0.0.3.tar.gz
sha512sums="946df091c9053dc32412f9b8f293d8378e734c023d900e18cfc2931991500bdad52feaee199b495d840d765e9b70d36bf6825750b26c2c480306a6be02517040 phosh-9a0ab4df8b1a812d52e0d270adf7808c38449a90.tar.gz
723334bff55927363dab47ef22c71dcaf94263fe76e49c40f1cbfbd5f86383e68fd4bf2182eb5777dda8e2ede4ee4710e1a7ab1379d3ca40d68f68ff30c62e21 libgvc-ae1a34aafce7026b8c0f65a43c9192d756fe1057.tar.gz
93c05f86a314bbd466b083cd9dfe0ba40803020d4865d666f2f67356be41f1769116f34eaade66d19a0f0cec2d79941986fef24a9a2fa19481c769019aef9ba3 stop-hardcoding-resolution.patch
6644870edbbbc6b88d6e19f7771d81dba1a11066c2b34e4c22736db73a2dfd0d4909b4967503059c35385c5139a834a5c06a3c56b148ba1275d7f089c0c5f33c phosh.desktop
2f8fd7041a14ab50649fb4309c031b0284016dfab52b92e7ad10f6b5f0006ec6772c30954fd79519cc34ad06ad161eafe164b86ac4ff15a0d6f2053de684801b polkit-0.114.patch"
6644870edbbbc6b88d6e19f7771d81dba1a11066c2b34e4c22736db73a2dfd0d4909b4967503059c35385c5139a834a5c06a3c56b148ba1275d7f089c0c5f33c phosh.desktop"
From 5cf0b498caa8073674235b1c0166b593744ccae3 Mon Sep 17 00:00:00 2001
From: Sebastian Krzyszkowiak <dos@dosowisko.net>
Date: Fri, 5 Jul 2019 00:11:46 +0200
Subject: [PATCH] PolkitAuthAgent: fix build with Polkit >= 0.114
Polkit 0.114 introduced bunch of predefined g_autoptr cleanups, which
leads to compilation failure due to duplicate cleanup definition for
PolkitSubject. Note that even the latest polkit doesn't have a cleanup
for PolkitAgentListener defined, so it's left there unguarded.
---
src/meson.build | 5 +++++
src/polkit-auth-agent.h | 2 ++
2 files changed, 7 insertions(+)
diff --git a/src/meson.build b/src/meson.build
index 226305d..2097324 100644
--- a/src/meson.build
+++ b/src/meson.build
@@ -101,6 +101,11 @@ phosh_deps = [
cc.find_library('rt', required: false),
]
+add_project_arguments([
+ '-DPOLKIT_AGENT_MAJOR_VERSION=' + libpolkit_agent_dep.version().split('.')[0],
+ '-DPOLKIT_AGENT_MINOR_VERSION=' + libpolkit_agent_dep.version().split('.')[1]
+], language: 'c')
+
phosh = executable('phosh', phosh_sources,
include_directories: [root_inc, src_inc],
dependencies: phosh_deps,
diff --git a/src/polkit-auth-agent.h b/src/polkit-auth-agent.h
index 386acc7..0a58202 100644
--- a/src/polkit-auth-agent.h
+++ b/src/polkit-auth-agent.h
@@ -14,7 +14,9 @@
G_BEGIN_DECLS
/* libpolkit lacks these */
+#if POLKIT_AGENT_MAJOR_VERSION == 0 && POLKIT_AGENT_MINOR_VERSION < 114
G_DEFINE_AUTOPTR_CLEANUP_FUNC(PolkitSubject, g_object_unref)
+#endif
G_DEFINE_AUTOPTR_CLEANUP_FUNC(PolkitAgentListener, g_object_unref)
#define PHOSH_TYPE_POLKIT_AUTH_AGENT (phosh_polkit_auth_agent_get_type())
--
2.18.1
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment